%define srcname ktp-common-internals
%define rel 1
%define major 0

Name: telepathy-kde-common-internals
Version: 0.3.0
Release: %mkrel %{rel}
Summary: KDE Telepathy Parts
Group:   System/Libraries
License: LGPLv2
URL:     https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0: ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/kde-telepathy/%version/src/%srcname-%version.tar.bz2
BuildRequires: pkgconfig(TelepathyQt4) >= 0.9  
BuildRequires: kdelibs4-devel

%description
This package provides the commons part used by telepathy kde.

#------------------------------------------------------------------------------
%package translations
Summary: Translations for %{name}
Group: System/Internationalization
BuildArch: noarch
%description translations
Translations for %{name}

%files  translations -f ktp-common-internals.lang

#------------------------------------------------------------------------------
%define libktpmodelsprivate %mklibname ktpmodelsprivate %{major}

%package -n %{libktpmodelsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpmodelsprivate}
Runtime library for %{name}

%files -n %{libktpmodelsprivate}
%{_kde_libdir}/libktpmodelsprivate.so.%{major}*

#------------------------------------------------------------------------------
%define libktpcommoninternalsprivate %mklibname ktpcommoninternalsprivate %{major}

%package -n %{libktpcommoninternalsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpcommoninternalsprivate}
Runtime library for %{name}

%files -n %{libktpcommoninternalsprivate}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{major}*

#------------------------------------------------------------------------------
%define devel %mklibname %{name} -d

%package -n %{devel}
Summary: Headers files for %{name}
Group: Development/KDE and Qt 
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Requires: %{libktpmodelsprivate} = %version-%release
Requires: %{libktpcommoninternalsprivate} = %version-%release

%description -n %{devel}
Headers files for %{name}

%files -n %{devel}
%{_kde_includedir}/KTp/
%{_kde_libdir}/libktpmodelsprivate.so
%{_kde_libdir}/libktpcommoninternalsprivate.so

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build
%find_lang ktp-common-internals 


%changelog

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202924
- Fix license tag
- Add URL
- Update SOURCE0
- Remove requires for translation on lib
- Add a noarch package for translations
- imported package telepathy-kde-common-internals

